## python-parsl 2024.02.26%2Bds

=== debian/changelog ===
python-parsl (2024.02.26+ds-1) unstable; urgency=medium

  * New upstream version 2024.02.26+ds
  * offline-documentation.patch: refresh.
  * use-standard-mock.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Wed, 28 Feb 2024 11:43:21 +0100

python-parsl (2024.02.19+ds-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove ref to old python3-mock

  [ Étienne Mollier ]
  * New upstream version 2024.02.19+ds
  * offline-documentation.patch: unfuzz.
  * use-standard-mock.patch: new.
    Thanks to Alexandre Detiste

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Feb 2024 16:35:16 +0100

python-parsl (2024.02.12+ds-1) unstable; urgency=medium

  * New upstream version 2024.02.12+ds

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Feb 2024 13:07:36 +0100

python-parsl (2024.02.05+ds-1) unstable; urgency=medium

  [ James Addison ]
  * sphinx-autodoc-preserve-argdefaults.patch:
    improve Sphinx documentation reproducibility by preserving argument
    defaults (Closes: #1063542)

  [ Étienne Mollier ]
  * d/rules: remove now unneeded sanitizing.
    Thanks to James Addison
  * New upstream version 2024.02.05+ds

 -- Étienne Mollier <emollier@debian.org>  Fri, 09 Feb 2024 22:33:29 +0100

python-parsl (2023.11.13+ds-1) unstable; urgency=medium

  * Source upload to migrate new package to unstable.
  * d/clean: new: fix double source build failure.

 -- Étienne Mollier <emollier@debian.org>  Mon, 22 Jan 2024 20:20:39 +0100

python-parsl (2023.11.13+ds-0+exp1) experimental; urgency=medium

  * Initial release. (Closes: #1050081)

 -- Étienne Mollier <emollier@debian.org>  Wed, 17 Jan 2024 21:27:33 +0100
