=== debian/changelog ===
python-parsl (2024.05.27+ds-1) unstable; urgency=medium

  * New upstream version 2024.05.27+ds

 -- Étienne Mollier <emollier@debian.org>  Fri, 31 May 2024 22:23:03 +0200

python-parsl (2024.05.20+ds-1) unstable; urgency=medium

  * New upstream version 2024.05.20+ds
  * offline-documentation.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 May 2024 15:49:52 +0200

python-parsl (2024.05.06+ds-1) unstable; urgency=medium

  * New upstream version 2024.05.06+ds

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 May 2024 22:44:19 +0200

python-parsl (2024.04.22+ds-1) unstable; urgency=medium

  * New upstream version 2024.04.22+ds

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Apr 2024 10:44:33 +0200

python-parsl (2024.04.15+ds-1) unstable; urgency=medium

  * New upstream version 2024.04.15+ds
  * d/control: declare compliance to standards version 4.7.0.
  * offline-documentation.patch: unfuzz.
  * d/control: doc build-depends on python3-filelock.

 -- Étienne Mollier <emollier@debian.org>  Fri, 19 Apr 2024 19:36:59 +0200

python-parsl (2024.03.11+ds-1) unstable; urgency=medium

  * New upstream version 2024.03.11+ds
  * offline-documentation.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Mar 2024 16:25:26 +0100

python-parsl (2024.03.04+ds-1) unstable; urgency=medium

  * New upstream version 2024.03.04+ds
  * shebang.patch: forwarded upstream.
  * sphinx-autodoc-preserve-argdefaults.patch:
    Added further DEP-3 fields, including a forward upstream.

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Mar 2024 19:36:45 +0100
