## python-parsl 2024.08.05+ds

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,10 @@
 .PHONY: lint
 lint: ## run linter script
 	parsl/tests/lint-inits.sh
+
+.PHONY: isort
+isort: ## run isort on all files
+	isort --check parsl/
 
 .PHONY: flake8
 flake8:  ## run flake
@@ -93,7 +97,7 @@
 	parsl-perf --time 5 --config parsl/tests/configs/local_threads.py
 
 .PHONY: test ## run all tests with all config types
-test: clean_coverage lint flake8 mypy local_thread_test htex_local_test htex_local_alternate_test wqex_local_test vineex_local_test radical_local_test config_local_test perf_test ## run all tests
+test: clean_coverage isort lint flake8 mypy local_thread_test htex_local_test htex_local_alternate_test wqex_local_test vineex_local_test radical_local_test config_local_test perf_test ## run all tests
 
 .PHONY: tag
 tag: ## create a tag in git. to run, do a 'make VERSION="version string" tag
@@ -123,3 +127,8 @@
 .PHONY: clean
 clean: ## clean up the environment by deleting the .venv, dist, eggs, mypy caches, coverage info, etc
 	rm -rf .venv $(DEPS) dist *.egg-info .mypy_cache build .pytest_cache .coverage runinfo $(WORKQUEUE_INSTALL)
+
+.PHONY: flux_local_test
+flux_local_test: ## Test Parsl with Flux Executor
+	pip3 install .
+	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/flux_local.py --random-order --durations 10
