=== debian/changelog ===
python-parsl (2024.08.05+ds-1) unstable; urgency=medium

  * New upstream version 2024.08.05+ds

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Aug 2024 20:05:29 +0200

python-parsl (2024.07.22+ds-1) unstable; urgency=medium

  * New upstream version 2024.07.22+ds
  * Unfuzz patches.
  * shebang.patch: refresh.
  * d/install renamed d/python3-parsl.install.
  * d/lintian-overrides renamed d/python3-parsl.lintian-overrides.
  * d/examples renamed d/python3-parsl.examples.
  * d/manpages renamed d/python3-parsl.manpages.
  * d/rules: do not ship .py scripts in /usr/bin anymore.
    They are still available within the module if need be.
  * d/*lintian-overrides: remove override about file extension.
  * d/parsl_coprocess.py.1: manual deleted.
  * d/rules: trim a cleanup command.
  * d/s/lintian-overrides: flag false positive detection of "uu" module.
  * d/parsl-globus-auth.1: remove references to removed commands.

 -- Étienne Mollier <emollier@debian.org>  Sun, 28 Jul 2024 20:43:25 +0200
