=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-all,
                python3-setuptools,
                help2man <!nodoc>,
+               python3-filelock <!nodoc>,
                python3-flask <!nodoc>,
                python3-flask-sqlalchemy <!nodoc>,
                flake8 <!nocheck>,
@@ -38,7 +39,7 @@
                python3-tblib <!nocheck> <!nodoc>,
                python3-zmq <!nocheck> <!nodoc>,
                twine <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Parsl/parsl
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-parsl.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-parsl.git
