## python-parsl 2024.10.28+ds

=== debian/changelog ===
python-parsl (2024.10.28+ds-1) unstable; urgency=medium

  * New upstream version 2024.10.28+ds
  * offline-documentation.patch: unfuzz.
  * d/control: remove build dependency on flake8.

 -- Étienne Mollier <emollier@debian.org>  Sun, 03 Nov 2024 18:07:41 +0100

python-parsl (2024.10.14+ds-1) unstable; urgency=medium

  * New upstream version 2024.10.14+ds
  * d/rules: cleanup new test artifacts.
    This change also moves to pybuild some cleanup commands that were part
    of regular d/rules targets initially.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Oct 2024 16:32:23 +0200

python-parsl (2024.10.07+ds-1) unstable; urgency=medium

  * New upstream version 2024.10.07+ds
  * d/s/lintian-overrides: delete: false positive fixed in lintian.

 -- Étienne Mollier <emollier@debian.org>  Wed, 09 Oct 2024 22:52:37 +0200

python-parsl (2024.09.16+ds-1) unstable; urgency=medium

  * New upstream version 2024.09.16+ds
  * d/control: remove python3-ipyparallel from test dependencies.
    The module is not needed anymore, and dropped off Debian sid.
    (Closes: #1082524)

 -- Étienne Mollier <emollier@debian.org>  Sat, 21 Sep 2024 17:18:41 +0200

python-parsl (2024.09.02+ds-1) unstable; urgency=medium

  * New upstream version 2024.09.02+ds
  * offline-documentation.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Sun, 08 Sep 2024 22:01:33 +0200

python-parsl (2024.08.26+ds-1) unstable; urgency=medium

  * New upstream version 2024.08.26+ds

 -- Étienne Mollier <emollier@debian.org>  Sat, 31 Aug 2024 11:30:09 +0200

python-parsl (2024.08.19+ds-1) unstable; urgency=medium

  * New upstream version 2024.08.19+ds
  * offline-documentation.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Thu, 22 Aug 2024 18:23:29 +0200
