=== debian/control ===
--- 
+++ 
@@ -14,12 +14,10 @@
                python3-filelock <!nodoc>,
                python3-flask <!nodoc>,
                python3-flask-sqlalchemy <!nodoc>,
-               flake8 <!nocheck>,
                mypy <!nocheck>,
                mpich <!nocheck>,
                python3-dill <!nocheck> <!nodoc>,
                python3-globus-sdk <!nocheck>,
-               python3-ipyparallel <!nocheck>,
                python3-mypy <!nocheck>,
                python3-mypy-extensions <!nocheck>,
                python3-nbsphinx <!nocheck>,
