=== debian/changelog ===
python-parsl (2025.01.13+ds-2) unstable; urgency=medium

  * d/control: review nodoc and nocheck profiles. (Closes: #1116867)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: bump to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Tue, 30 Sep 2025 23:05:39 +0200

python-parsl (2025.01.13+ds-1) unstable; urgency=medium

  * New upstream version 2025.01.13+ds
  * offline-documentation.patch: adjust to new file layout.
  * d/*.examples: adjust to new file layout.

 -- Étienne Mollier <emollier@debian.org>  Tue, 14 Jan 2025 22:00:49 +0100

python-parsl (2024.12.16+ds-1) unstable; urgency=medium

  * New upstream version 2024.12.16+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 17 Dec 2024 19:06:02 +0100

python-parsl (2024.12.02+ds-1) unstable; urgency=medium

  * New upstream version 2024.12.02+ds

 -- Étienne Mollier <emollier@debian.org>  Fri, 06 Dec 2024 20:21:27 +0100

python-parsl (2024.11.25+ds-1) unstable; urgency=medium

  * New upstream version 2024.11.25+ds
  * d/control: bump dependency to libjs-bootstrap4.
    The unversioned libjs-bootstrap corresponds to version 3, but html
    files look to expect version 4.1.3, so libjs-bootstrap4 is probably
    better suited.  Note this does not resolve a possible removal in favor
    of libjs-bootstrap 5.
  * privacy-breaches.patch: update file paths to point to bootstrap4.

 -- Étienne Mollier <emollier@debian.org>  Tue, 26 Nov 2024 20:33:28 +0100

python-parsl (2024.11.18+ds-1) unstable; urgency=medium

  * New upstream version 2024.11.18+ds
  * d/salsa-ci.yml: introduce dedicated CI file.

 -- Étienne Mollier <emollier@debian.org>  Tue, 19 Nov 2024 21:26:02 +0100

python-parsl (2024.11.11+ds-1) unstable; urgency=medium

  * New upstream version 2024.11.11+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 12 Nov 2024 20:08:08 +0100

python-parsl (2024.11.04+ds-1) unstable; urgency=medium

  * New upstream version 2024.11.04+ds
  * offline-documentation.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Wed, 06 Nov 2024 19:45:14 +0100
