=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
                python3-all,
                python3-setuptools,
                help2man <!nodoc>,
-               python3-filelock <!nodoc>,
+               python3-filelock <!nocheck> <!nodoc>,
                python3-flask <!nodoc>,
                python3-flask-sqlalchemy <!nodoc>,
                mypy <!nocheck>,
                mpich <!nocheck>,
                python3-dill <!nocheck> <!nodoc>,
-               python3-globus-sdk <!nocheck>,
+               python3-globus-sdk <!nocheck> <!nodoc>,
                python3-mypy <!nocheck>,
                python3-mypy-extensions <!nocheck>,
-               python3-nbsphinx <!nocheck>,
+               python3-nbsphinx <!nocheck> <!nodoc>,
                python3-pandas <!nocheck>,
                python3-paramiko <!nocheck> <!nodoc>,
                python3-psutil <!nocheck> <!nodoc>,
@@ -28,7 +28,7 @@
                python3-pytest-random-order <!nocheck>,
                python3-requests <!nocheck> <!nodoc>,
                python3-setproctitle <!nocheck>,
-               python3-sphinx-rtd-theme <!nocheck>,
+               python3-sphinx-rtd-theme <!nocheck> <!nodoc>,
                python3-sqlalchemy <!nocheck>,
                python3-typeguard <!nocheck> <!nodoc>,
                python3-typing-extensions <!nocheck>,
@@ -37,16 +37,15 @@
                python3-tblib <!nocheck> <!nodoc>,
                python3-zmq <!nocheck> <!nodoc>,
                twine <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Parsl/parsl
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-parsl.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-parsl.git
-Rules-Requires-Root: no
 
 Package: python3-parsl
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
-         libjs-bootstrap,
+         libjs-bootstrap4,
          libjs-jquery,
          libjs-popper.js,
          node-fortawesome-fontawesome-free,
