=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,12 @@
 # Also, test_interchange_binding_with_non_ipv4_address is fragile depending on
 # the content of /etc/hosts.
 
+# These items need being cleansed up, otherwise they land at random
+# places within binary packages.
+export PYBUILD_AFTER_TEST=\
+	rm -rvf {build_dir}/pytest-parsl {build_dir}/output.txt \
+	        {build_dir}/hello1.txt   {build_dir}/std.out
+
 PKGDIR=$(CURDIR)/debian/python3-parsl
 
 %:
@@ -29,10 +35,6 @@
 endif
 
 execute_after_dh_install:
-	# Cleanup unknown files landing in python3 modules directory.
-	rm -rvf $(PKGDIR)/usr/lib/python3*/dist-packages/output.txt \
-		$(PKGDIR)/usr/lib/python3*/dist-packages/hello1.txt \
-		$(PKGDIR)/usr/lib/python3*/dist-packages/std.out
 	# Cleanup scipts of primary interest for their classes.
 	# They are still available within the module.
 	rm -vf $(PKGDIR)/usr/bin/exec_parsl_function.py \
