## python-parsl 2025.10.27

=== requirements.txt ===
--- 
+++ 
@@ -8,10 +8,10 @@
 
 
 typing-extensions>=4.6,<5
-globus-sdk
 dill
 tblib
 requests
+sortedcontainers
 psutil>=5.5.1
 setproctitle
 filelock>=3.13,<4
