=== debian/changelog ===
python-parsl (2025.10.27-1) unstable; urgency=medium

  * New upstream version 2025.10.27
  * sphinx-autodoc-preserve-argdefaults.patch: delete.
    This patch is applied upstream.
  * autopkg-skip-custom-exception.patch: new patch.
    This skips test_custom_exception when running in autopkgtest context.
    The test is preserved at build time.
  * d/control: tests depend on python3-sortedcontainers.
  * offline-documentation.patch: trim new linked images.

 -- Étienne Mollier <emollier@debian.org>  Tue, 28 Oct 2025 19:59:55 +0100
