=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
                python3-pytest-random-order <!nocheck>,
                python3-requests <!nocheck> <!nodoc>,
                python3-setproctitle <!nocheck>,
+               python3-sortedcontainers <!nocheck>,
                python3-sphinx-rtd-theme <!nocheck> <!nodoc>,
                python3-sqlalchemy <!nocheck>,
                python3-typeguard <!nocheck> <!nodoc>,
