## python-parsl 2025.11.03+ds

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,8 @@
 GIT := $(shell which git || echo ".git_is_missing")
 CWD := $(shell pwd)
 DEPS := .deps
-CCTOOLS_INSTALL := /tmp/cctools
 MPICH=mpich
 OPENMPI=openmpi
-export PATH := $(CCTOOLS_INSTALL)/bin/:$(PATH)
-export CCTOOLS_VERSION=7.8.0
 export HYDRA_LAUNCHER=fork
 export OMPI_MCA_rmaps_base_oversubscribe=yes
 MPI=$(MPICH)
@@ -44,60 +41,65 @@
 	flake8 parsl/
 
 .PHONY: clean_coverage
-clean_coverage:
+clean_coverage:  ## clear the coverage file (.coverage)
 	rm -f .coverage
 
 .PHONY: mypy
 mypy: ## run mypy checks
 	MYPYPATH=$(CWD)/mypy-stubs mypy parsl/
 
+.PHONY: gce_test
+gce_test: ## Run tests with GlobusComputeExecutor (--config .../globus_compute.py)
+	pytest -v -k "not shared_fs and not issue_3620 and not staging_required" --config parsl/tests/configs/globus_compute.py parsl/tests/ --random-order --durations 10
+	pytest -v -k "not shared_fs and not issue_3620 and not staging_required and globus_compute" --config local --random-order --durations 10
+
 .PHONY: local_thread_test
-local_thread_test: ## run all tests with local_thread config
+local_thread_test: ## run all tests with local_thread config (--config .../local_threads.py)
 	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/local_threads.py --random-order --durations 10
 
 .PHONY: htex_local_test
-htex_local_test: ## run all tests with htex_local config
+htex_local_test: ## run all tests with htex_local config (--config .../htex_local.py)
 	pip3 install .
 	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/htex_local.py --random-order --durations 10
 
 .PHONY: htex_local_alternate_test
-htex_local_alternate_test: ## run all tests with htex_local config
+htex_local_alternate_test: ## run all tests with htex_local_alternate config (--config .../htex_local_alternate.py)
 	pip3 install ".[monitoring]"
 	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/htex_local_alternate.py --random-order --durations 10
 
-$(CCTOOLS_INSTALL):	#CCtools contains both taskvine and workqueue so install only once
-	parsl/executors/taskvine/install-taskvine.sh
-
 .PHONY: vineex_local_test
-vineex_local_test: $(CCTOOLS_INSTALL)  ## run all tests with taskvine_ex config
-	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages  pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/taskvine_ex.py --random-order --durations 10
+vineex_local_test:  ## Run the VineExecutor local tests (-k taskvine --config local)
+	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/taskvine_ex.py --random-order --durations 10
+	pytest parsl/tests/ -k "not cleannet and taskvine" --config local --random-order --durations 10
 
 .PHONY: wqex_local_test
-wqex_local_test: $(CCTOOLS_INSTALL)  ## run all tests with workqueue_ex config
-	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages  pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/workqueue_ex.py --random-order --durations 10
+wqex_local_test:  ## Run the WorkQueueExecutor local tests (-k workqueue --config local)
+	pytest parsl/tests/ -k "not cleannet" --config parsl/tests/configs/workqueue_ex.py --random-order --durations 10
+	pytest parsl/tests/ -k "not cleannet and workqueue" --config local --random-order --durations 10
 
 .PHONY: radical_local_test
-radical_local_test:
+radical_local_test:  ## Run the Radical local tests (-m radical --config local)
 	pip3 install ".[radical-pilot]"
 	mkdir -p ~/.radical/pilot/configs && echo '{"localhost": {"virtenv_mode": "local"}}' > ~/.radical/pilot/configs/resource_local.json
 	pytest parsl/tests/ -k "not cleannet and not issue3328 and not executor_supports_std_stream_tuples" --config parsl/tests/configs/local_radical.py --random-order --durations 10
+	pytest parsl/tests/ -m "radical" --config local --random-order --durations 10
 
 .PHONY: config_local_test
-config_local_test: $(CCTOOLS_INSTALL)
+config_local_test:  ## run the config-local tests (--config local)
 	pip3 install ".[monitoring,visualization,proxystore,kubernetes]"
-	PYTHONPATH=/tmp/cctools/lib/python3.8/site-packages pytest parsl/tests/ -k "not cleannet" --config local --random-order --durations 10
+	pytest parsl/tests/ -k "not cleannet and not workqueue and not taskvine and not globus_compute" --config local --random-order --durations 10
 
 .PHONY: site_test
-site_test:
+site_test:  ## Run the site tests
 	pytest parsl/tests/ -k "not cleannet" ${SHARED_FS_OPTIONS} --config parsl/tests/site_tests/site_config_selector.py --random-order
 	pytest parsl/tests/site_tests/ ${SHARED_FS_OPTIONS} --config local
 
 .PHONY: perf_test
-perf_test:
+perf_test:  ## Run `parsl-perf` (--config .../local_threads.py)
 	parsl-perf --time 5 --config parsl/tests/configs/local_threads.py
 
 .PHONY: test ## run all tests with all config types
-test: clean_coverage isort lint flake8 mypy local_thread_test htex_local_test htex_local_alternate_test wqex_local_test vineex_local_test radical_local_test config_local_test perf_test ## run all tests
+test: clean_coverage isort lint flake8 mypy local_thread_test htex_local_test htex_local_alternate_test config_local_test perf_test ## run all tests
 
 .PHONY: tag
 tag: ## create a tag in git. to run, do a 'make VERSION="version string" tag
