=== debian/changelog ===
python-parsl (2025.11.03+ds-1) unstable; urgency=medium

  * New upstream version 2025.11.03+ds
  * d/watch: restore the repack suffix +ds and debian version mangling.

 -- Étienne Mollier <emollier@debian.org>  Tue, 04 Nov 2025 20:03:11 +0100
