=== debian/watch ===
Version: 5

Template: Github
Owner: Parsl
Project: parsl
Repack-Suffix: +ds
DVersion-Mangle: auto
