## python-parsl 2025.11.10+ds

=== debian/changelog ===
python-parsl (2025.11.10+ds-1) unstable; urgency=medium

  * New upstream version 2025.11.10+ds

 -- Étienne Mollier <emollier@debian.org>  Thu, 13 Nov 2025 15:25:42 +0100
